package model

type TimeReport struct {
	reportId     string
	projectName  string
	userName     string
	userRole     string
	reportDate   string
	timeWorked   uint64
	isSigned     bool
	reportStatus string // Example "draft", "signed", "unsigned"
}

type Project struct {
	timeReports    []TimeReport
	projectName    string
	projectmembers map[string]User
	projectRoles   map[string]User
}
